Package org.eclipse.emf.cdo.lm.modules.impl

# Class ModulesPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.emf.cdo.lm.modules.impl.ModulesPackageImpl

All Implemented Interfaces:
  `ModulesPackage`, `Notifier`, `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class ModulesPackageImpl extends EPackageImpl implements ModulesPackage
An implementation of the model Package.

Generated
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.lm.modules.ModulesPackage

`ModulesPackage.Literals`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.emf.cdo.lm.modules.ModulesPackage

`DEPENDENCY_DEFINITION, DEPENDENCY_DEFINITION___GET_ANNOTATION__STRING, DEPENDENCY_DEFINITION__ANNOTATIONS, DEPENDENCY_DEFINITION__SOURCE, DEPENDENCY_DEFINITION__TARGET_NAME, DEPENDENCY_DEFINITION__VERSION_RANGE, DEPENDENCY_DEFINITION_FEATURE_COUNT, DEPENDENCY_DEFINITION_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MODULE_DEFINITION, MODULE_DEFINITION___GET_ANNOTATION__STRING, MODULE_DEFINITION__ANNOTATIONS, MODULE_DEFINITION__DEPENDENCIES, MODULE_DEFINITION__NAME, MODULE_DEFINITION__VERSION, MODULE_DEFINITION_FEATURE_COUNT, MODULE_DEFINITION_OPERATION_COUNT, VERSION, VERSION_RANGE`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createExtendedMetaDataAnnotations()`
Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`EClass`
`getDependencyDefinition()`
`EReference`
`getDependencyDefinition_Source()`
`EAttribute`
`getDependencyDefinition_TargetName()`
`EAttribute`
`getDependencyDefinition_VersionRange()`
`EClass`
`getModuleDefinition()`
`EReference`
`getModuleDefinition_Dependencies()`
`EAttribute`
`getModuleDefinition_Name()`
`EAttribute`
`getModuleDefinition_Version()`
`ModulesFactory`
`getModulesFactory()`
`EDataType`
`getVersion()`
`EDataType`
`getVersionRange()`
`static ModulesPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static ModulesPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `ModulesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `ModulesPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`
Generated

### getModuleDefinition

public EClass getModuleDefinition()

Specified by:
  `getModuleDefinition` in interface `ModulesPackage`
Returns:
  the meta object for class 'Module Definition'.
See Also:
  - `ModuleDefinition`
Generated

### getModuleDefinition_Name

public EAttribute getModuleDefinition_Name()

Specified by:
  `getModuleDefinition_Name` in interface `ModulesPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `ModuleDefinition.getName()`
  - `ModulesPackage.getModuleDefinition()`
Generated

### getModuleDefinition_Version

public EAttribute getModuleDefinition_Version()

Specified by:
  `getModuleDefinition_Version` in interface `ModulesPackage`
Returns:
  the meta object for the attribute 'Version'.
See Also:
  - `ModuleDefinition.getVersion()`
  - `ModulesPackage.getModuleDefinition()`
Generated

### getModuleDefinition_Dependencies

public EReference getModuleDefinition_Dependencies()

Specified by:
  `getModuleDefinition_Dependencies` in interface `ModulesPackage`
Returns:
  the meta object for the containment reference list 'Dependencies'.
See Also:
  - `ModuleDefinition.getDependencies()`
  - `ModulesPackage.getModuleDefinition()`
Generated

### getDependencyDefinition

public EClass getDependencyDefinition()

Specified by:
  `getDependencyDefinition` in interface `ModulesPackage`
Returns:
  the meta object for class 'Dependency Definition'.
See Also:
  - `DependencyDefinition`
Generated

### getDependencyDefinition_Source

public EReference getDependencyDefinition_Source()

Specified by:
  `getDependencyDefinition_Source` in interface `ModulesPackage`
Returns:
  the meta object for the container reference 'Source'.
See Also:
  - `DependencyDefinition.getSource()`
  - `ModulesPackage.getDependencyDefinition()`
Generated

### getDependencyDefinition_TargetName

public EAttribute getDependencyDefinition_TargetName()

Specified by:
  `getDependencyDefinition_TargetName` in interface `ModulesPackage`
Returns:
  the meta object for the attribute 'Target Name'.
See Also:
  - `DependencyDefinition.getTargetName()`
  - `ModulesPackage.getDependencyDefinition()`
Generated

### getDependencyDefinition_VersionRange

public EAttribute getDependencyDefinition_VersionRange()

Specified by:
  `getDependencyDefinition_VersionRange` in interface `ModulesPackage`
Returns:
  the meta object for the attribute 'Version Range'.
See Also:
  - `DependencyDefinition.getVersionRange()`
  - `ModulesPackage.getDependencyDefinition()`
Generated

### getVersion

public EDataType getVersion()

Specified by:
  `getVersion` in interface `ModulesPackage`
Returns:
  the meta object for data type 'Version'.
See Also:
  - `Version`
Generated

### getVersionRange

public EDataType getVersionRange()

Specified by:
  `getVersionRange` in interface `ModulesPackage`
Returns:
  the meta object for data type 'Version Range'.
See Also:
  - `VersionRange`
Generated

### getModulesFactory

public ModulesFactory getModulesFactory()

Specified by:
  `getModulesFactory` in interface `ModulesPackage`
Returns:
  the factory that creates the instances of the model.
Generated

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

Generated

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Generated

### createExtendedMetaDataAnnotations

protected void createExtendedMetaDataAnnotations()
Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Generated